| Home | Libraries | People | FAQ | More

##### ipv6_address::to_buffer

Write a dotted decimal string representing the address to a buffer.

###### Synopsis

    string_view
    to_buffer(
        char* dest,
        std::size_t dest_size) const;

###### Description

The resulting buffer is not null-terminated.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `dest_size < ipv6_address::max_str_len`

###### Return Value

The formatted string

###### Parameters

Name | Description
--- | ---
`dest` | The buffer in which to write, which must have at least `dest_size` space.
`dest_size` | The size of the output buffer.